Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.game
Class GAMESpanPropHandler

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.bio.seq.io.game.StAXPropertyHandler
              org.biojava.bio.seq.io.game.GAMESpanPropHandler

All Implemented Interfaces:
  StAXContentHandler

    public class GAMESpanPropHandler

extends StAXPropertyHandler

Handles the GAME <span> element Currently, it just ignores it!

Since:
  1.2
Author:
  David Huen

Field Summary
`static StAXHandlerFactory` | `GAME_SPAN_PROP_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.seq.io.game.StAXPropertyHandler
`featureListener`

Method Summary
`void` | `endElementHandler(String nsURI, String localName, String qName, StAXContentHandler handler)` Element specific exit handler Subclass to do anything useful.

Methods inherited from class org.biojava.bio.seq.io.game.StAXPropertyHandler
`addHandler, endElement, getHandlerStackIterator, setHandlerCharacteristics, startElement, startElementHandler`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GAME_SPAN_PROP_HANDLER_FACTORY

    public static final StAXHandlerFactory GAME_SPAN_PROP_HANDLER_FACTORY

Method Detail

### endElementHandler

    public void endElementHandler(String nsURI,
                                  String localName,
                                  String qName,
                                  StAXContentHandler handler)

  Description copied from class: `StAXPropertyHandler`
  Element specific exit handler Subclass to do anything useful.

  Overrides:
    `endElementHandler` in class `StAXPropertyHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD